Name:       python-keystoneclient
# Since folsom-2 OpenStack clients follow their own release plan
# and restarted version numbering from 0.1.1
# https://lists.launchpad.net/openstack/msg14248.html
Epoch:      1
Version:    0.2.3
Release:    1%{?dist}
Summary:    Client library for OpenStack Identity API
Group:      Development/Languages
License:    ASL 2.0
URL:        http://pypi.python.org/pypi/%{name}
Source0:    http://pypi.python.org/packages/source/p/%{name}/%{name}-%{version}.tar.gz
Source1:    keystone.1

#
# patches_base=0.2.3+1
#
Patch0001: 0001-Config-value-for-revocation-list-timeout.patch

BuildArch:  noarch

BuildRequires: python2-devel
BuildRequires: python-setuptools

# from tools/pip-requires
Requires: python-argparse
Requires: python-iso8601 >= 0.1.4
Requires: python-prettytable
Requires: python-requests >= 0.8.8
Requires: python-simplejson
Requires: python-oslo-config >= 1.1.0
# other requirements
Requires: python-setuptools
Requires: python-keyring
Requires: python-webob


%description
Client library and command line utility for interacting with Openstack
Identity API.

%package doc
Summary:    Documentation for OpenStack Identity API Client
Group:      Documentation

BuildRequires: python-sphinx10

%description doc
Documentation for the client library for interacting with Openstack
Identity API.

%prep
%setup -q

%patch0001 -p1

# Remove bundled egg-info
rm -rf python_keystoneclient.egg-info
# let RPM handle deps
sed -i '/setup_requires/d; /install_requires/d; /dependency_links/d' setup.py

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
mv %{buildroot}/usr/keystoneclient/versioninfo %{buildroot}%{python_sitelib}/keystoneclient/versioninfo

#install -p -D -m 644 tools/keystone.bash_completion %{buildroot}%{_sysconfdir}/bash_completion.d/keystone.bash_completion
# see rhbz 888939#c7: bash-completion is not in RHEL
install -p -D -m 644 tools/keystone.bash_completion %{buildroot}%{_sysconfdir}/profile.d/keystone.sh

install -p -D -m 644 %{SOURCE1} %{buildroot}/%{_mandir}/man1/keystone.1

# Delete tests
rm -fr %{buildroot}%{python_sitelib}/tests

export PYTHONPATH="$( pwd ):$PYTHONPATH"
pushd doc
if [ -x /usr/bin/sphinx-apidoc ]; then
    make html
else
    make html SPHINXAPIDOC=echo SPHINXBUILD=sphinx-1.0-build
fi
popd
# Fix hidden-file-or-dir warnings
rm -fr doc/build/html/.doctrees doc/build/html/.buildinfo

%files
%doc LICENSE README.rst
%{_mandir}/man1/keystone.1*
%{_bindir}/keystone
%{_sysconfdir}/profile.d/keystone.sh
%{python_sitelib}/keystoneclient
%{python_sitelib}/*.egg-info

%files doc
%doc LICENSE doc/build/html

%changelog
* Fri May 03 2013 Jakub Ruzicka <jruzicka@redhat.com> 0.2.3-1
- Grizzly release.
- Update to version 0.2.3.
- Update manpage.
- Config value for revocation list timeout. (rhbz#923519)

* Fri Mar 15 2013 Alan Pevec <apevec@redhat.com> 0.2.0-4
- Add man page for 'keystone' rhbz#904351

* Wed Feb 20 2013 Alan Pevec <apevec@redhat.com> 0.2.0-3
- Fix incomplete sentence in help rhbz#888572

* Tue Feb 19 2013 Alan Pevec <apevec@redhat.com> 0.2.0-2
- Include bash_completion file rhbz#888937

* Mon Feb 11 2013 Alan Pevec <apevec@redhat.com> 0.2.0-1
- update to 0.2.0

* Tue Oct 16 2012 Alan Pevec <apevec@redhat.com> 0.1.3.27-1
- Allow empty description for tenants (lp#1025929)
- Documentation updates
- change default  wrap for tokens from 78 characters to 0 (lp#1061514)
- bootstrap a keystone user in one cmd
- Useful message when missing catalog (lp#949904)

* Thu Sep 27 2012 Alan Pevec <apevec@redhat.com> 1:0.1.3.9-1
- Handle "503 Service Unavailable" exception (lp#1028799)
- add --wrap option for long PKI tokens (lp#1053728)
- remove deprecated Diablo options
- add --os-token and --os-endpoint options to match
  http://wiki.openstack.org/UnifiedCLI/Authentication

* Sun Sep 23 2012 Alan Pevec <apevec@redhat.com> 1:0.1.3-1
- Change underscores in new cert options to dashes (lp#1040162)

* Wed Aug 22 2012 Alan Pevec <apevec@redhat.com> 1:0.1.2-1
- Add dependency on python-setuptools (#850842)
- New upstream release.

* Mon Jul 23 2012 Alan Pevec <apevec@redhat.com> 1:0.1.1-1
- New upstream release.

* Fri Apr 27 2012 Alan Pevec <apevec@redhat.com> 2012.1-2
- fix FTBFS due to wrong Sphinx version rhbz# 815055

* Thu Apr 05 2012 Alan Pevec <apevec@redhat.com> 2012.1-1
- Essex release

* Thu Apr 05 2012 Alan Pevec <apevec@redhat.com> 2012.1-0.8.rc2
- essex rc2

* Sat Mar 24 2012 Alan Pevec <apevec@redhat.com> 2012.1-0.7.rc1
- update to final essex rc1

* Wed Mar 21 2012 Alan Pevec <apevec@redhat.com> 2012.1-0.6.rc1
- essex rc1

* Thu Mar 01 2012 Alan Pevec <apevec@redhat.com> 2012.1-0.5.e4
- essex-4 milestone

* Tue Feb 28 2012 Alan Pevec <apevec@redhat.com> 2012.1-0.4.e4
- Endpoints: Add create, delete, list support
  https://review.openstack.org/4594

* Fri Feb 24 2012 Alan Pevec <apevec@redhat.com> 2012.1-0.3.e4
- Improve usability of CLI. https://review.openstack.org/4375

* Mon Feb 20 2012 Alan Pevec <apevec@redhat.com> 2012.1-0.2.e4
- pre essex-4 snapshot, for keystone rebase

* Thu Jan 26 2012 Cole Robinson <crobinso@redhat.com> - 2012.1-0.1.e3
- Initial package
